extends ../components/layout/layout.pug
include ../components/blocks/order/order.pug
include ../components/blocks/data-table/data-table.pug
include ../components/blocks/report/report-nav/report-nav.pug
include ../components/blocks/report/report-form/report-form.pug
include ../components/layout/right-bar/right-bar.pug

block vars
    - var htmlclasses = "html_report-edit"

block metaog

block metaseo
    +headMetaSeo(head.main)

block append body
    +right-bar()

block append page
    .section.section_default2
        .section__content
            .section__header
                .section__title
                    h1 Редактирование отчёта
            .section__body
                .report-edit
                    .report-edit__nav
                        +report-nav(reportNav)
                    .report-edit__content
                        //.report-edit__header
                            h2 Рулевое управление, подвеска и тормозная система
                            .report-edit__progress.report-progress
                                .progress.bg_info
                                    .progress__bar
                                    .progress__mask
                        +report-form(reportRealData)
                        script.
                            $(document).ready(function () {
                                var topBarHeight = $('.top-bar').height();
                                $('.report-edit__progress').stick_in_parent({
                                    parent: '.report-edit__content',
                                    offset_top: topBarHeight
                                })
                                    .on('sticky_kit:stick', function () {
                                        $('.report-edit__step').appendTo('.top-bar');
                                    })
                                    .on('sticky_kit:unstick', function () {
                                        $('.report-edit__step').insertAfter('.report-edit__header h2');
                                    });
                            });
                            $(document).on('mq_tablet', function () {
                                $('.report-nav').trigger('sticky_kit:detach').appendTo('.right-bar__content');
                            });
                            $(document).on('mq_tablet_', function () {
                                $('.report-nav').appendTo('.report-edit__nav').stick_in_parent({offset_top: 40});
                            });

